%{?mingw_package_header}

%global mingw_pkg_name eigen3

Name:           mingw-%{mingw_pkg_name}
Version:        3.2
Release:        %mkrel 6
Summary:        MinGW lightweight C++ template library for vector and matrix math
BuildArch:      noarch
Group:          Development/Other
# See COPYING.README
License:        MPLv2.0 and LGPLv2+ and BSD
URL:            http://eigen.tuxfamily.org/index.php?title=Main_Page
# Source file is at: http://bitbucket.org/eigen/eigen/get/3.1.3.tar.bz2
# Renamed source file so it's not just a version number
Source0:        eigen-%{version}.tar.bz2
# Since we are crosscompiling, read the comment in the file for details
Source1:        TryRunResults.cmake

# Hack to stop cmake throwing an error because it could not determine the windows version
Patch0:         eigen-3.1.2_osversion.patch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw32-gcc-gfortran
BuildRequires:  mingw64-gcc-gfortran
BuildRequires:  cmake

%description
%{summary}

# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:                %{summary}

%description -n mingw32-%{mingw_pkg_name}
%{summary}

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:                %{summary}

%description -n mingw64-%{mingw_pkg_name}
%{summary}

%prep
%setup -q -n eigen-eigen-ffa86ffb5570
%autopatch -p2

%build
%mingw_cmake -C %{SOURCE1} -DEIGEN_BUILD_PKGCONFIG:BOOL=ON

%install
%mingw_make install DESTDIR=%{buildroot}

%files -n mingw32-%{mingw_pkg_name}
%doc COPYING.BSD COPYING.LGPL COPYING.MPL2 COPYING.README
%{mingw32_includedir}/eigen3
%{mingw32_datadir}/pkgconfig/*

%files -n mingw64-%{mingw_pkg_name}
%doc COPYING.BSD COPYING.LGPL COPYING.MPL2 COPYING.README
%{mingw64_includedir}/eigen3
%{mingw64_datadir}/pkgconfig/*



%changelog
* Thu Feb 04 2016 umeabot <umeabot> 3.2-6.mga6
+ Revision: 935102
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2-5.mga5
+ Revision: 748026
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2-4.mga5
+ Revision: 682425
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2-3.mga4
+ Revision: 536163
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 3.2-2.mga4
+ Revision: 483540
- imported package mingw-eigen3


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Sandro Mani <manisandro@gmail.com> - 3.2-1
- Update to release 3.2

* Fri Apr 19 2013 Sandro Mani <manisandro@gmail.com> - 3.1.3-1
- Update to release 3.1.3

* Tue Mar 05 2013 Sandro Mani <manisandro@gmail.com> - 3.1.2-1
- Initial fedora package
